Firefly开源社区

12345... 8
发表新贴

从零开始~~~Firefly编译环境开荒贴

发表于 2014-10-13 17:29:44     
本帖最后由 暴走的阿Sai 于 2017-8-21 17:15 编辑

编译环境开荒贴,从零开始完成Firefly编译环境{:3_62:}

第一步:安装Ubuntu12.04,使用安装盘安装(安装的过程就不详写了,下面贴图)
20141011_091132.jpg


20141011_091519.jpg

安装完后,更新ubuntu
20141011_102828.jpg


第二步:
从官网上下载SDK,进行编译环境的安装

下载SDK有两种方式,一是下载压缩包,二是通过git下载。

我选择了下载压缩包。SDK百度云下载地址:https://pan.baidu.com/s/1bpm190r#list/path=%2FPublic%2FDevBoard%2FFirefly-RK3288%2FSource%2FAndroid4.4&parentPath=%2FPublic

在等待代码下载完成的同时,开始按照官方的步骤进行环境安装。
为了方便按照我写了3个简单的脚本(java6.sh、ubuntu1204_evn.sh和arm.sh),直接输入官网的命令也可。
1,在终端输入
   ./java6.sh
   安装 JDK6,遇到要选择的时候一路选择y或者yes即可
   等待安装完毕
    java6ok.png

   安装完毕

2,在终端输入
   ./ubuntu1204_evn.sh
   安装编译需要的包和库,同样遇到要选择的时候一路选择y或者yes即可
   等待安装完毕
    ubuntu1204_envok.png
   安装完毕

3,在终端输入
   ./arm.sh
   安装 ARM 交叉编译工具链和编译内核相关软件包
   等待安装完毕
    arm_ok.png
   安装完毕

到了这步就环境就按照完毕,只缺代码来编译验证了。

4,下载完代码后校正MD5码,无误后进行解压。解压出来是一个.git文件,这个是git管理的文件目录。用git reset可以把他还原
   还原后就可以看到我们的代码目录结构了,但先不要着急去编译。先按照官网同步代码:
   git remote add bitbucket https://TeeFirefly@bitbucket.org/T-Firefly/firefly-rk3288.git
   git pull bitbucket master:master
    jieyatongbu.png
到了这步代码已经准备完毕

第三步:
1,进入代码进行编译(首先一定要编译内核,否则编译Android会出错哦)
进入kernel目录后:
make firefly-rk3288_beta_defconfigmake -j8 firefly-rk3288_beta.im
kernel.png
编译成功

2,然后进入SDK目录,编译Android:
make -j8
这个编译十分漫长,笔者用的是联想L440 I5+2G的笔记本,大概编译了4个小时{:3_58:}机友们要耐心等待,如果出现电脑卡的情况可以试试减少编译进程适应make -j2或者直接用make bianyiok.png

妥妥的终于编译完成{:3_59:}

总结:开荒搭配环境的整个过程都十分顺利,由衷的感觉官网的编译说明做的很好,这个要大赞一个{:3_62:}只要按照官网的步骤一步一步来安装,编译环境还是妥妥的。

顺便给出官网的编译说明传送门:http://wiki.t-firefly.com/index.php/Firefly-RK3288/Build_android


脚本打包.rar

569 Bytes, 阅读权限: 10, 下载次数: 539, 下载积分: 灯泡 -1 , 经验 -1

已有 2评分威望 +9 灯泡 +12 贡献 +13 收起 理由
huanyouman22 + 8 + 10 + 10
panroger + 1 + 2 + 3 赞一个!

查看全部评分

暴走的创客!
回复

使用道具 举报

1319

积分

10

威望

12

贡献

中级创客

Rank: 4

积分
1319
QQ
发表于 2014-10-20 16:22:54     
新手,看了一下受益了,安装然后编译,很顺畅
回复

使用道具 举报

26

积分

0

威望

0

贡献

技术小白

积分
26
发表于 2014-10-21 08:42:04     
之前我的编译出错 正好学习下
回复

使用道具 举报

20

积分

0

威望

0

贡献

游客

积分
20
发表于 2014-10-21 09:44:22     
liujing@liujing-virtual-machine:~$ ./arm.sh
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
现在没有可用的软件包 lzop,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到

现在没有可用的软件包 gcc-arm-linux-gnueabihf,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到

E: 软件包 gcc-arm-linux-gnueabihf 没有可供安装的候选者
E: 软件包 lzop 没有可供安装的候选者
liujing@liujing-virtual-machine:~$
回复

使用道具 举报

20

积分

0

威望

0

贡献

游客

积分
20
发表于 2014-10-21 09:46:15     
楼主,这个是怎么回事?应该怎么办,目前小白
回复

使用道具 举报

发表于 2014-10-21 10:23:31     
mydreammyhome 发表于 2014-10-21 09:46
楼主,这个是怎么回事?应该怎么办,目前小白

这个问题是因为你的系统/etc/apt/sources.list的源没有这个资源,你备份自己的sources.list后用我的sources.list试试,然后要
  1. sudo apt-get update
复制代码

暴走的创客!
回复

使用道具 举报

发表于 2014-10-21 10:37:25     
mydreammyhome 发表于 2014-10-21 09:46
楼主,这个是怎么回事?应该怎么办,目前小白

论坛传不到这个格式,附件自行解压sources.list出来

sources.list.tar.gz

993 Bytes, 阅读权限: 10, 下载次数: 81, 下载积分: 灯泡 -1 , 经验 -1

暴走的创客!
回复

使用道具 举报

20

积分

0

威望

0

贡献

游客

积分
20
发表于 2014-10-21 21:28:04     
楼主,谢谢你的回复,我原先的服务器的问题,我刚开始选的中国,后来换成了个源就好了,其他软件把第三方软件的两个勾取消了,
在运行sudo apt-get update后,系统就能升级了,升级后就能够运行./arm.sh了,我发了两张图不知道这么发能显示不。
回复

使用道具 举报

6

积分

0

威望

0

贡献

技术小白

积分
6
发表于 2014-11-10 10:46:14     
楼主,您好,我执行 git pull bitbucket master:master 命令的时候提示输入密码是